Package picard.analysis

# Enum Class AlignmentSummaryMetrics.Category

java.lang.Object
java.lang.Enum<AlignmentSummaryMetrics.Category>
picard.analysis.AlignmentSummaryMetrics.Category

All Implemented Interfaces:
  `Serializable`, `Comparable<AlignmentSummaryMetrics.Category>`, `Constable`

Enclosing class:
  AlignmentSummaryMetrics

public static enum AlignmentSummaryMetrics.Category extends Enum<AlignmentSummaryMetrics.Category>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FIRST_OF_PAIR`
`PAIR`
`SECOND_OF_PAIR`
`UNPAIRED`

## Method Summary

Modifier and Type
Method
Description
`static AlignmentSummaryMetrics.Category`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AlignmentSummaryMetrics.Category[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNPAIRED

public static final AlignmentSummaryMetrics.Category UNPAIRED

### FIRST_OF_PAIR

public static final AlignmentSummaryMetrics.Category FIRST_OF_PAIR

### SECOND_OF_PAIR

public static final AlignmentSummaryMetrics.Category SECOND_OF_PAIR

### PAIR

public static final AlignmentSummaryMetrics.Category PAIR

## Method Details

### values

public static AlignmentSummaryMetrics.Category[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AlignmentSummaryMetrics.Category valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null